[Linux] mochitest-plain: 5 <test_popup_*.xul> time out intermittently

RESOLVED FIXED

Status

()

defect
--
major
RESOLVED FIXED
11 years ago
7 years ago

People

(Reporter: sgautherie, Unassigned)

Tracking

({intermittent-failure})

Trunk
x86
Linux
Points:
---
Dependency tree / graph

Firefox Tracking Flags

(Not tracked)

Details

(Whiteboard: [fixed by bug 513707] [tests which abort the suite] )

(Reporter)

Description

11 years ago
Example:
<http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1219269470.1219274732.6191.gz>
{{
Linux comm-central dep unit test on 2008/08/20 14:57:50

*** 61747 INFO Running /tests/toolkit/content/tests/widgets/test_popup_attribute.xul...
Document http://localhost:8888/tests/toolkit/content/tests/widgets/window_popup_attribute.xul loaded successfully
*** 61748 ERROR TEST-UNEXPECTED-FAIL | /tests/toolkit/content/tests/widgets/test_popup_attribute.xul | Test timed out.
*** 61750 INFO Running /tests/toolkit/content/tests/widgets/test_popup_button.xul...
NEXT ERROR *** 61751 INFO Error: Unable to restore focus, expect failures and timeouts.
Document http://localhost:8888/tests/toolkit/content/tests/widgets/window_popup_button.xul loaded successfully
*** 61752 INFO TEST-PASS | /tests/toolkit/content/tests/widgets/test_popup_button.xul | mouse click on trigger popupshowing fired

*** 62134 INFO Running /tests/toolkit/content/tests/widgets/test_popup_coords.xul...
*** 62135 INFO Error: Unable to restore focus, expect failures and timeouts.
*** 62136 ERROR TEST-UNEXPECTED-FAIL | /tests/toolkit/content/tests/widgets/test_popup_coords.xul | Test timed out.
*** 62138 INFO Running /tests/toolkit/content/tests/widgets/test_popup_keys.xul...
*** 62139 INFO Error: Unable to restore focus, expect failures and timeouts.
*** 62140 INFO TEST-PASS | /tests/toolkit/content/tests/widgets/test_popup_keys.xul | keys disabled
*** 62141 INFO TEST-PASS | /tests/toolkit/content/tests/widgets/test_popup_keys.xul | keys enabled
*** 62142 ERROR TEST-UNEXPECTED-FAIL | /tests/toolkit/content/tests/widgets/test_popup_keys.xul | Test timed out.
*** 62144 INFO Running /tests/toolkit/content/tests/widgets/test_popup_preventdefault.xul...
*** 62145 INFO Error: Unable to restore focus, expect failures and timeouts.
*** 62146 ERROR TEST-UNEXPECTED-FAIL | /tests/toolkit/content/tests/widgets/test_popup_preventdefault.xul | Test timed out.
*** 62147 ERROR TEST-UNEXPECTED-FAIL | /tests/toolkit/content/tests/widgets/test_popup_preventdefault.xul | Too many test timeouts, giving up.
}}

Note, it might have started with:
<http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1219227189.1219232563.21897.gz>
{{
Linux comm-central dep unit test on 2008/08/20 03:13:09
}}
(Reporter)

Comment 1

11 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1219565754.1219571135.7947.gz
Linux comm-central dep unit test on 2008/08/24 01:15:54
(Reporter)

Comment 2

11 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1220741699.1220748761.3415.gz
Linux comm-central dep unit test on 2008/09/06 15:54:59
(Reporter)

Comment 3

11 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1220800586.1220806184.10919.gz
Linux mozilla-central qm-centos5-03 dep unit test on 2008/09/07 08:16:26
Assignee: general → nobody
Component: General → General
Product: SeaMonkey → Core
QA Contact: general → general
Summary: 5 <test_popup_*.xul> intermittently fail on 'Linux comm-central dep unit test' → 5 <test_popup_*.xul> intermittently fail on 'Linux *-central * dep unit test'

Comment 4

11 years ago
Could you find out who added those tests and what bug it was and set dependency/CC for that?

Comment 5

11 years ago
test_popup_attribute.xul
test_popup_keys.xul
test_popup_coords.xul
test_popup_preventdefault_chrome.xul
are those that actually fail intermittently with timeouts, the fifth is "Too many
test timeouts, giving up."

CCing Neil Deakin as the author of the tests and ajschult as he already once investigated failures on one of those.

Comment 6

11 years ago
It usually means the window isn't focused. For example, some window of another application is open.
(Reporter)

Comment 7

11 years ago
(In reply to comment #5)
> test_popup_attribute.xul
> test_popup_preventdefault_chrome.xul

(test_popup_preventdefault.xul !)
Both, from bug 388995.

> test_popup_keys.xul

From bug 396517.

> test_popup_coords.xul

From bug 387659.
Depends on: 388995, 396517, 387659
(Reporter)

Updated

11 years ago
Assignee: nobody → jag
Component: General → XUL
QA Contact: general → xptoolkit.widgets

Comment 8

11 years ago
(In reply to comment #6)
> It usually means the window isn't focused. For example, some window of another
> application is open.

mochitest is the only thing that runs there, so I don't know what could be open. As this is a Linux box, I can't look into what's actually open though, as we're running everything on an Xvfb display there, but judging from the process list, nothing else is running.
(Reporter)

Comment 9

11 years ago
This is currently failing rather (very) often on the SeaMonkey box :-(
(which is now otherwise (mostly) green)

I think we should mark them as random (for Linux SeaMonkey) as a workaround.
Maybe until
Bug 454717 – Check/Fix tests which |addEventListener()| without |removeEventListener()|
is fixed.

Comment 10

11 years ago
bug 450554 changed some code related to a setTimeout() usage on popups, this could theoretically have an impact on those intermittent failures (at least that's what I think).
(Reporter)

Comment 11

11 years ago
Still there:

http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1226665450.1226670635.14391.gzLinux comm-central dep unit test on 2008/11/14 04:24:10
Assignee: jag → nobody
(Reporter)

Comment 12

10 years ago
Still there:
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1234453984.1234459536.17883.gz
Linux comm-central dep unit test on 2009/02/12 07:53:04
Whiteboard: [orange]
(Reporter)

Comment 13

10 years ago
Not exactly the same but probably related:
{
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1237460848.1237466896.12532.gz
Linux comm-central dep unit test on 2009/03/19 04:07:28

*** 76801 ERROR TEST-UNEXPECTED-FAIL | /tests/toolkit/content/tests/widgets/test_menubar.xul | Test timed out.
*** 77035 ERROR TEST-UNEXPECTED-FAIL | /tests/toolkit/content/tests/widgets/test_panelfrommenu.xul | Test timed out.
*** 77765 ERROR TEST-UNEXPECTED-FAIL | /tests/toolkit/content/tests/widgets/test_popup_coords.xul | Test timed out.
*** 77771 ERROR TEST-UNEXPECTED-FAIL | /tests/toolkit/content/tests/widgets/test_popup_keys.xul | Test timed out.
*** 77772 ERROR TEST-UNEXPECTED-FAIL | /tests/toolkit/content/tests/widgets/test_popup_keys.xul | Too many test timeouts, giving up.

with a few
*** 76804 INFO Error: Unable to restore focus, expect failures and timeouts.
}
See also bug 487817, filed for the whole mochitest process hanging/timing out (300 seconds without output) after starting test_popup_attribute.xul.
(Reporter)

Comment 15

10 years ago
Recently I've seen this a few times on Windows:
{
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1240390710.1240397855.13440.gz
WINNT 5.2 comm-central unit test on 2009/04/22 01:58:30
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1240403084.1240411222.5824.gz
WINNT 5.2 comm-central unit test on 2009/04/22 05:24:44
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1240416086.1240423105.30495.gz
WINNT 5.2 comm-central unit test on 2009/04/22 09:01:26

*** 78875 ERROR TEST-UNEXPECTED-FAIL | /tests/toolkit/content/tests/widgets/test_popup_button.xul | Test timed out.
*** 78878 INFO Error: Unable to restore focus, expect failures and timeouts.
*** 78879 ERROR TEST-UNEXPECTED-FAIL | /tests/toolkit/content/tests/widgets/test_popup_coords.xul | Test timed out.
*** 78882 INFO Error: Unable to restore focus, expect failures and timeouts.
*** 78885 ERROR TEST-UNEXPECTED-FAIL | /tests/toolkit/content/tests/widgets/test_popup_keys.xul | Test timed out.
*** 78888 INFO Error: Unable to restore focus, expect failures and timeouts.
*** 78889 ERROR TEST-UNEXPECTED-FAIL | /tests/toolkit/content/tests/widgets/test_popup_preventdefault.xul | Test timed out.
*** 78890 ERROR TEST-UNEXPECTED-FAIL | /tests/toolkit/content/tests/widgets/test_popup_preventdefault.xul | Too many test timeouts, giving up.
}
(Reporter)

Comment 16

10 years ago
(In reply to comment #15)
> Recently I've seen this a few times on Windows:

Windows case must bug 475451!
(I got confused because these builds timed out from the test harness (:-)) rather than from buildbot.)
(Reporter)

Comment 17

10 years ago
{
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey-Ports/1243423010.1243428587.5847.gz
Linux comm-1.9.1 unit test on 2009/05/27 04:16:50

79150 ERROR TEST-UNEXPECTED-FAIL | /tests/toolkit/content/tests/widgets/test_popup_button.xul | Test timed out.
79153 INFO Error: Unable to restore focus, expect failures and timeouts.
79154 ERROR TEST-UNEXPECTED-FAIL | /tests/toolkit/content/tests/widgets/test_popup_coords.xul | Test timed out.
79157 INFO Error: Unable to restore focus, expect failures and timeouts.
79160 ERROR TEST-UNEXPECTED-FAIL | /tests/toolkit/content/tests/widgets/test_popup_keys.xul | Test timed out.
79163 INFO Error: Unable to restore focus, expect failures and timeouts.
79164 ERROR TEST-UNEXPECTED-FAIL | /tests/toolkit/content/tests/widgets/test_popup_preventdefault.xul | Test timed out.
79165 ERROR TEST-UNEXPECTED-FAIL | (SimpleTest/TestRunner.js) | 4 test timeouts, giving up.
79166 ERROR TEST-UNEXPECTED-FAIL | (SimpleTest/TestRunner.js) | Skipping 33 remaining tests.
}
(Reporter)

Comment 18

10 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey-Ports/1244820199.1244826437.23704.gz
Linux comm-1.9.1 unit test on 2009/06/12 08:23:19
Summary: 5 <test_popup_*.xul> intermittently fail on 'Linux *-central * dep unit test' → [Linux] mochitest-plain: 5 <test_popup_*.xul> time out intermittently
(Reporter)

Comment 19

10 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1245761468.1245764716.31771.gz
Linux mozilla-central test mochitests on 2009/06/23 05:51:08
(Reporter)

Comment 20

10 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1245883824.1245887389.21224.gz
Linux mozilla-central test mochitests on 2009/06/24 15:50:24

Please, fix or disable tests which abort the suite.
Severity: normal → major
(Reporter)

Comment 23

10 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1252109452.1252113612.32604.gz
Linux mozilla-central test mochitests on 2009/09/04 17:10:52
Whiteboard: [orange] → [tests which abort the suite] [orange]
(Reporter)

Comment 24

10 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1252189725.1252193178.8637.gz
Linux mozilla-central test mochitests on 2009/09/05 15:28:45
Depends on: 487817

Comment 25

10 years ago
Should be fixed by 513707.
Status: NEW → RESOLVED
Last Resolved: 10 years ago
Resolution: --- → FIXED
(Reporter)

Updated

10 years ago
Depends on: 513707
(Reporter)

Updated

10 years ago
Whiteboard: [tests which abort the suite] [orange] → [fixed by bug 513707] [tests which abort the suite] [orange]
(Reporter)

Updated

10 years ago
No longer depends on: 487817
Whiteboard: [fixed by bug 513707] [tests which abort the suite] [orange] → [fixed by bug 513707] [tests which abort the suite]
You need to log in before you can comment on or make changes to this bug.